package com.bocloud.cmp.model.h3c;

public class H3cStorageModel {
    /**
     * 存储类型，枚举值：disk：硬盘， cdrom：光驱， floppy：软驱。 字符串（String）类型，必须。
     */
    private String device;
    /**
     * 存储设备类型，枚举值：ide：IDE硬盘， scsi：SCSI硬盘， usb：USB硬盘;，virtio：Virtio 硬盘。
     * 字符串（String）类型，必须。
     */
    private String targetBus;
    /**
     * 存储文件路径,当增加软驱时，若值为autoVirtio，则根据操作系统类型自动加载一个软驱设备。 字符串（String）类型，必须。
     */
    private String storeFile;
    /**
     * 磁盘缓存方，枚举值：directsync，writethrough，writeback，none。
     * 字符串（String）类型，当存储卷为文件类型时不能为空。
     */
    private String cacheType;
    /**
     * 分配类型:0指定 1动态分配。 整型（Integer）类型，必须。
     */
    private Integer assignType;
    /**
     * 类型。枚举值：file 文件， block 块设备。 字符串（String）类型，必须。
     */
    private String type;
    /**
     * 存储卷类型，必须和使用的存储卷的类型保持一致，枚举值：qcow2，raw 字符串（String）类型，必须。
     */
    private String driveType;
    /**
     * 这个属性文档里面没写.... FIXME
     */
    private Integer capacity;
    /**
     * 存储镜像文件名。 字符串（String）类型。
     */
    private String path;
    /**
     * 分配存储容量。 单位（M）。 长整数（long）类型。
     */
    private Long size;
    /**
     * 存储类型，取值为:： file、block。 字符串（String）类型。
     */
    private String fileType;
    /**
     * 存储格式，取值为： raw qcow2。 字符串（String）类型。
     */
    private String format;
    /**
     * 已使用大小。 长整数（long）类型。
     */
    private Long allocation;
    /**
     * 最大可分配存储容量。 长整数（long）类型。
     */
    private Long maxSize;
    /**
     * 包含快照: 1 包含；0 不包含。 整数（int）类型。
     */
    private Integer snapShot;
    /**
     * 磁盘类型。
     * 字符串（String）类型。
     */
    private String diskDevice;

    public String getDiskDevice() {
        return diskDevice;
    }

    public void setDiskDevice(String diskDevice) {
        this.diskDevice = diskDevice;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public Long getSize() {
        return size;
    }

    public void setSize(Long size) {
        this.size = size;
    }

    public String getFileType() {
        return fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public String getFormat() {
        return format;
    }

    public void setFormat(String format) {
        this.format = format;
    }

    public Long getAllocation() {
        return allocation;
    }

    public void setAllocation(Long allocation) {
        this.allocation = allocation;
    }

    public Long getMaxSize() {
        return maxSize;
    }

    public void setMaxSize(Long maxSize) {
        this.maxSize = maxSize;
    }

    public Integer getSnapShot() {
        return snapShot;
    }

    public void setSnapShot(Integer snapShot) {
        this.snapShot = snapShot;
    }

    public String getDevice() {
        return device;
    }

    public void setDevice(String device) {
        this.device = device;
    }

    public String getTargetBus() {
        return targetBus;
    }

    public void setTargetBus(String targetBus) {
        this.targetBus = targetBus;
    }

    public String getStoreFile() {
        return storeFile;
    }

    public void setStoreFile(String storeFile) {
        this.storeFile = storeFile;
    }

    public String getCacheType() {
        return cacheType;
    }

    public void setCacheType(String cacheType) {
        this.cacheType = cacheType;
    }

    public Integer getAssignType() {
        return assignType;
    }

    public void setAssignType(Integer assignType) {
        this.assignType = assignType;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDriveType() {
        return driveType;
    }

    public void setDriveType(String driveType) {
        this.driveType = driveType;
    }

    public Integer getCapacity() {
        return capacity;
    }

    public void setCapacity(Integer capacity) {
        this.capacity = capacity;
    }
}
